Request
curl https://sandbox.api.lendeasy.ai /v1/customers/$CUSTOMER_ID/sensitive \
-H "Authorization: Bearer $TOKEN" await fetch(`https://sandbox.api.lendeasy.ai /v1/customers/${customerId}/sensitive` , {
method: "GET" ,
headers: { Authorization: `Bearer ${token}` },
});requests.get(
f"https://sandbox.api.lendeasy.ai /v1/customers/{customer_id}/sensitive" ,
headers={"Authorization" : f"Bearer {token}" },
)200 400 401 403 404
{
"customerId": "412",
"identifiers": [
{
"identifierId": 66 ,
"identifierType": "SSN",
"value": "601114821",
"verificationState": "VERIFIED",
"status": "ACTIVE"
}
],
"contactPoints": [
{
"contactPointId": 512 ,
"contactType": "EMAIL",
"value": "maya.chen@example.test",
"status": "VERIFIED",
"carrierVerified": false ,
"deliverabilityStatus": "DELIVERABLE"
}
],
"consents": [
{
"consentId": 71 ,
"consentType": "AUTODIALED_CALL",
"status": "GRANTED",
"captureMethod": "BORROWER_PORTAL",
"evidenceRef": "evd_CONSENT_41"
}
]
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}